package com.chenyang.nse.bussiness.entity.orm.table.console;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CONSOLE_SEARCHREGEX"
)
public class TConsoleSearchregex extends TBaseEntity {
   @Column(
      length = 64
   )
   private String name;
   @Column(
      length = 64
   )
   private String type;
   @Column(
      length = 128
   )
   private String regex;
   @Column(
      length = 32
   )
   private String icon;
   @Column(
      length = 128
   )
   private String ruleexample;
   @Column(
      length = 32
   )
   private String ruleargument;
   @Column(
      length = 32
   )
   private String dataarea_id;
   @Column(
      length = 64
   )
   private String rulegroupname = "";
   @Column(
      length = 8
   )
   private String discoverway;
   @Column(
      length = 64
   )
   private String selectdatafield;
   @Column(
      length = 8
   )
   private String dictionaryClass;
   @Column(
      length = 8
   )
   private String matchingway;
   @Column(
      length = 8
   )
   private String defaulttype;
   @Column(
      length = 255
   )
   private String remark;

   public String getDiscoverway() {
      return this.discoverway;
   }

   public void setDiscoverway(String discoverway) {
      this.discoverway = discoverway;
   }

   public String getSelectdatafield() {
      return this.selectdatafield;
   }

   public void setSelectdatafield(String selectdatafield) {
      this.selectdatafield = selectdatafield;
   }

   public String getDictionaryClass() {
      return this.dictionaryClass;
   }

   public void setDictionaryClass(String dictionaryClass) {
      this.dictionaryClass = dictionaryClass;
   }

   public String getMatchingway() {
      return this.matchingway;
   }

   public void setMatchingway(String matchingway) {
      this.matchingway = matchingway;
   }

   public String getRulegroupname() {
      return this.rulegroupname;
   }

   public void setRulegroupname(String rulegroupname) {
      this.rulegroupname = rulegroupname;
   }

   public String getRemark() {
      return this.remark;
   }

   public void setRemark(String remark) {
      this.remark = remark;
   }

   public TConsoleSearchregex() {
   }

   public TConsoleSearchregex(String type, String name, String regex) {
      this.type = type;
      this.name = name;
      this.regex = regex;
   }

   public TConsoleSearchregex(String name, String type, String regex, String icon, String ruleexample, String ruleargument) {
      this.name = name;
      this.type = type;
      this.regex = regex;
      this.icon = icon;
      this.ruleexample = ruleexample;
      this.ruleargument = ruleargument;
   }

   public String getName() {
      return this.name;
   }

   public void setName(String name) {
      this.name = name;
   }

   public String getType() {
      return this.type;
   }

   public void setType(String type) {
      this.type = type;
   }

   public String getRegex() {
      return this.regex;
   }

   public void setRegex(String regex) {
      this.regex = regex;
   }

   public String getIcon() {
      return this.icon;
   }

   public void setIcon(String icon) {
      this.icon = icon;
   }

   public String getRuleexample() {
      return this.ruleexample;
   }

   public void setRuleexample(String ruleexample) {
      this.ruleexample = ruleexample;
   }

   public String getRuleargument() {
      return this.ruleargument;
   }

   public void setRuleargument(String ruleargument) {
      this.ruleargument = ruleargument;
   }

   public String getDataarea_id() {
      return this.dataarea_id;
   }

   public void setDataarea_id(String dataarea_id) {
      this.dataarea_id = dataarea_id;
   }

   public String getDefaulttype() {
      return this.defaulttype;
   }

   public void setDefaulttype(String defaulttype) {
      this.defaulttype = defaulttype;
   }

   public String toString() {
      return "TConsoleSearchregex [name=" + this.name + ", type=" + this.type + ", regex=" + this.regex + ", icon=" + this.icon + ", ruleexample=" + this.ruleexample + ", ruleargument=" + this.ruleargument + "]";
   }

   public int hashCode() {
      int prime = 31;
      int result = 1;
      result = 31 * result + (this.icon == null ? 0 : this.icon.hashCode());
      result = 31 * result + (this.name == null ? 0 : this.name.hashCode());
      result = 31 * result + (this.regex == null ? 0 : this.regex.hashCode());
      result = 31 * result + (this.ruleargument == null ? 0 : this.ruleargument.hashCode());
      result = 31 * result + (this.ruleexample == null ? 0 : this.ruleexample.hashCode());
      result = 31 * result + (this.type == null ? 0 : this.type.hashCode());
      return result;
   }

   public boolean equals(Object obj) {
      if (this == obj) {
         return true;
      } else if (obj == null) {
         return false;
      } else if (this.getClass() != obj.getClass()) {
         return false;
      } else {
         TConsoleSearchregex other = (TConsoleSearchregex)obj;
         if (this.icon == null) {
            if (other.icon != null) {
               return false;
            }
         } else if (!this.icon.equals(other.icon)) {
            return false;
         }

         if (this.name == null) {
            if (other.name != null) {
               return false;
            }
         } else if (!this.name.equals(other.name)) {
            return false;
         }

         if (this.regex == null) {
            if (other.regex != null) {
               return false;
            }
         } else if (!this.regex.equals(other.regex)) {
            return false;
         }

         if (this.ruleargument == null) {
            if (other.ruleargument != null) {
               return false;
            }
         } else if (!this.ruleargument.equals(other.ruleargument)) {
            return false;
         }

         if (this.ruleexample == null) {
            if (other.ruleexample != null) {
               return false;
            }
         } else if (!this.ruleexample.equals(other.ruleexample)) {
            return false;
         }

         if (this.type == null) {
            if (other.type != null) {
               return false;
            }
         } else if (!this.type.equals(other.type)) {
            return false;
         }

         return true;
      }
   }
}
